namespace Yuna.Website.Server.Storage.Repositories.Prop
{
    public interface IPropRepository
    {
        public Task<Model.Prop?> GetById(long id);
        public Task<Model.Prop?> GetByPropName(string value);
        public Task<IReadOnlyList<Model.Prop>> GetList();
        public Task<Model.Prop?> Create(Model.Prop value);
        //public Task<User?> Update(User user);
        public Task<Model.Prop?> Delete(long id);
        public Task<IReadOnlyList<Model.Prop>?> GetByIds(long[] ids);
    }
}
